SDOP(1)

NAME
SDoP - a Simple DocBook Processor

SYNOPSIS
sdop [options] [source file]

DESCRIPTION

sdop reads DocBook XML input, processes it into page images, and writes the result as PostScript. This can be turned into PDF using an application such as ps2pdf. SDoP is "simple" because (a) it does not check that the input conforms to the DTD, and (b) it supports only a simple subset of DocBook features. If no source file is given, the standard input is read.

OPTIONS

-d  Produce debugging output. Adding +all generates voluminous output; some other words can be used to generate subsets of this.

-help or --help
    List the available options.

-o <output file>
    Specify an output file. To specify the standard output, use "-". The default is to replace the input file's extension with ".ps", or to write to the standard output if the input is the standard input.

-p <pagelist>
    Output only the given pages, counting from the start of the body of the document, that is, after the front matter and preface(s), if any. Page numbers in the list are comma-separated, and ranges can be given using a hyphen.

-pf <pagelist>
    Output only the given pages from the front matter, counting from the very first page of the document. Page numbers in the list are comma-separated, and ranges can be given using a hyphen.

-q  Suppress warnings for unsupported DocBook features (which are ignored). This overrides any setting in the input file.

-qc Suppress warnings for unsupported characters. This overrides any setting in the input file.

-S <colon-separated directory list>
    The given directories are searched in order for SDoP's shared data files, before searching the installed directory (usually /usr/local/share/sdop). This overrides any setting in an SDOP_SHARE environment variable.

-w  Do not suppress warnings for unsupported DocBook features (which are ignored). This overrides any setting in the input file.

-wc Do not suppress warnings for unsupported characters. This overrides any setting in the input file.

-v or --version
    Show SDoP's version and list any optional facilities that this implementation supports.

A page list for -p (but not for -pf) may include ``odd'' or ``even'', to further restrict which pages are output. If you want only odd or even pages from the frontmatter, you can use, for example, -p odd with an appropriate -pf setting.

ENVIRONMENT

The environment variable SDOP_SHARE may be set to a colon-separated list of directories. These are searched in order for SDoP's shared data files, before searching the installed directory (usually /usr/local/share/sdop). The -S option can be used to override SDOP_SHARE.

FURTHER INFORMATION

The SDoP manual gives a full description of the program and the features that it provides.

DIAGNOSTICS AND RETURN CODES

Error messages are written to the standard error stream. The return code is 0 for success, and 1 if there have been any diagnostics more serious than a warning.

AUTHOR

Philip Hazel
Cambridge, England.

REVISION

Last updated: 23 November 2013
Copyright (c) 2013 Philip Hazel